# ISLocalToGlobalMappingCreate

Creates a mapping between a local (0 to n) ordering and a global parallel ordering.

### Synopsis

    #include "petscsys.h"
    #include "petscis.h"
    PetscErrorCode  ISLocalToGlobalMappingCreate(MPI_Comm cm,PetscInt n,const PetscInt indices[],ISLocalToGlobalMapping *mapping)

Not Collective, but communicator may have more than one process

### Input Parameters

| comm | - MPI communicator
| n | - the number of local elements
| indices | - the global index for each local element

### Output Parameter

mapping -new mapping data structure

### See Also

ISLocalToGlobalMappingDestroy(), ISLocalToGlobalMappingCreateIS(), ISLocalToGlobalMappingCreateNC()

Level:advanced
Location: src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex8.c.html
src/vec/is/examples/tutorials/ex4.c.html